Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
ff07:6000::/20
First address
ff07:6000::
Last address
ff07:6fff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
ff07:6000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
6.7.0.f.f.ip6.arpa
Split into smaller subnets/36

ff07:6000::/20 makes 65,536 subnets of /36; the first 256 are listed.

Subnets
#SubnetLast address
1ff07:6000::/36ff07:6000:fff:ffff:ffff:ffff:ffff:ffff
2ff07:6000:1000::/36ff07:6000:1fff:ffff:ffff:ffff:ffff:ffff
3ff07:6000:2000::/36ff07:6000:2fff:ffff:ffff:ffff:ffff:ffff
4ff07:6000:3000::/36ff07:6000:3fff:ffff:ffff:ffff:ffff:ffff
5ff07:6000:4000::/36ff07:6000:4fff:ffff:ffff:ffff:ffff:ffff
6ff07:6000:5000::/36ff07:6000:5fff:ffff:ffff:ffff:ffff:ffff
7ff07:6000:6000::/36ff07:6000:6fff:ffff:ffff:ffff:ffff:ffff
8ff07:6000:7000::/36ff07:6000:7fff:ffff:ffff:ffff:ffff:ffff
9ff07:6000:8000::/36ff07:6000:8fff:ffff:ffff:ffff:ffff:ffff
10ff07:6000:9000::/36ff07:6000:9fff:ffff:ffff:ffff:ffff:ffff
11ff07:6000:a000::/36ff07:6000:afff:ffff:ffff:ffff:ffff:ffff
12ff07:6000:b000::/36ff07:6000:bfff:ffff:ffff:ffff:ffff:ffff
13ff07:6000:c000::/36ff07:6000:cfff:ffff:ffff:ffff:ffff:ffff
14ff07:6000:d000::/36ff07:6000:dfff:ffff:ffff:ffff:ffff:ffff
15ff07:6000:e000::/36ff07:6000:efff:ffff:ffff:ffff:ffff:ffff
16ff07:6000:f000::/36ff07:6000:ffff:ffff:ffff:ffff:ffff:ffff
17ff07:6001::/36ff07:6001:fff:ffff:ffff:ffff:ffff:ffff
18ff07:6001:1000::/36ff07:6001:1fff:ffff:ffff:ffff:ffff:ffff
19ff07:6001:2000::/36ff07:6001:2fff:ffff:ffff:ffff:ffff:ffff
20ff07:6001:3000::/36ff07:6001:3fff:ffff:ffff:ffff:ffff:ffff
21ff07:6001:4000::/36ff07:6001:4fff:ffff:ffff:ffff:ffff:ffff
22ff07:6001:5000::/36ff07:6001:5fff:ffff:ffff:ffff:ffff:ffff
23ff07:6001:6000::/36ff07:6001:6fff:ffff:ffff:ffff:ffff:ffff
24ff07:6001:7000::/36ff07:6001:7fff:ffff:ffff:ffff:ffff:ffff
25ff07:6001:8000::/36ff07:6001:8fff:ffff:ffff:ffff:ffff:ffff
26ff07:6001:9000::/36ff07:6001:9fff:ffff:ffff:ffff:ffff:ffff
27ff07:6001:a000::/36ff07:6001:afff:ffff:ffff:ffff:ffff:ffff
28ff07:6001:b000::/36ff07:6001:bfff:ffff:ffff:ffff:ffff:ffff
29ff07:6001:c000::/36ff07:6001:cfff:ffff:ffff:ffff:ffff:ffff
30ff07:6001:d000::/36ff07:6001:dfff:ffff:ffff:ffff:ffff:ffff
31ff07:6001:e000::/36ff07:6001:efff:ffff:ffff:ffff:ffff:ffff
32ff07:6001:f000::/36ff07:6001:ffff:ffff:ffff:ffff:ffff:ffff
33ff07:6002::/36ff07:6002:fff:ffff:ffff:ffff:ffff:ffff
34ff07:6002:1000::/36ff07:6002:1fff:ffff:ffff:ffff:ffff:ffff
35ff07:6002:2000::/36ff07:6002:2fff:ffff:ffff:ffff:ffff:ffff
36ff07:6002:3000::/36ff07:6002:3fff:ffff:ffff:ffff:ffff:ffff
37ff07:6002:4000::/36ff07:6002:4fff:ffff:ffff:ffff:ffff:ffff
38ff07:6002:5000::/36ff07:6002:5fff:ffff:ffff:ffff:ffff:ffff
39ff07:6002:6000::/36ff07:6002:6fff:ffff:ffff:ffff:ffff:ffff
40ff07:6002:7000::/36ff07:6002:7fff:ffff:ffff:ffff:ffff:ffff
41ff07:6002:8000::/36ff07:6002:8fff:ffff:ffff:ffff:ffff:ffff
42ff07:6002:9000::/36ff07:6002:9fff:ffff:ffff:ffff:ffff:ffff
43ff07:6002:a000::/36ff07:6002:afff:ffff:ffff:ffff:ffff:ffff
44ff07:6002:b000::/36ff07:6002:bfff:ffff:ffff:ffff:ffff:ffff
45ff07:6002:c000::/36ff07:6002:cfff:ffff:ffff:ffff:ffff:ffff
46ff07:6002:d000::/36ff07:6002:dfff:ffff:ffff:ffff:ffff:ffff
47ff07:6002:e000::/36ff07:6002:efff:ffff:ffff:ffff:ffff:ffff
48ff07:6002:f000::/36ff07:6002:ffff:ffff:ffff:ffff:ffff:ffff
49ff07:6003::/36ff07:6003:fff:ffff:ffff:ffff:ffff:ffff
50ff07:6003:1000::/36ff07:6003:1fff:ffff:ffff:ffff:ffff:ffff
51ff07:6003:2000::/36ff07:6003:2fff:ffff:ffff:ffff:ffff:ffff
52ff07:6003:3000::/36ff07:6003:3fff:ffff:ffff:ffff:ffff:ffff
53ff07:6003:4000::/36ff07:6003:4fff:ffff:ffff:ffff:ffff:ffff
54ff07:6003:5000::/36ff07:6003:5fff:ffff:ffff:ffff:ffff:ffff
55ff07:6003:6000::/36ff07:6003:6fff:ffff:ffff:ffff:ffff:ffff
56ff07:6003:7000::/36ff07:6003:7fff:ffff:ffff:ffff:ffff:ffff
57ff07:6003:8000::/36ff07:6003:8fff:ffff:ffff:ffff:ffff:ffff
58ff07:6003:9000::/36ff07:6003:9fff:ffff:ffff:ffff:ffff:ffff
59ff07:6003:a000::/36ff07:6003:afff:ffff:ffff:ffff:ffff:ffff
60ff07:6003:b000::/36ff07:6003:bfff:ffff:ffff:ffff:ffff:ffff
61ff07:6003:c000::/36ff07:6003:cfff:ffff:ffff:ffff:ffff:ffff
62ff07:6003:d000::/36ff07:6003:dfff:ffff:ffff:ffff:ffff:ffff
63ff07:6003:e000::/36ff07:6003:efff:ffff:ffff:ffff:ffff:ffff
64ff07:6003:f000::/36ff07:6003:ffff:ffff:ffff:ffff:ffff:ffff
65ff07:6004::/36ff07:6004:fff:ffff:ffff:ffff:ffff:ffff
66ff07:6004:1000::/36ff07:6004:1fff:ffff:ffff:ffff:ffff:ffff
67ff07:6004:2000::/36ff07:6004:2fff:ffff:ffff:ffff:ffff:ffff
68ff07:6004:3000::/36ff07:6004:3fff:ffff:ffff:ffff:ffff:ffff
69ff07:6004:4000::/36ff07:6004:4fff:ffff:ffff:ffff:ffff:ffff
70ff07:6004:5000::/36ff07:6004:5fff:ffff:ffff:ffff:ffff:ffff
71ff07:6004:6000::/36ff07:6004:6fff:ffff:ffff:ffff:ffff:ffff
72ff07:6004:7000::/36ff07:6004:7fff:ffff:ffff:ffff:ffff:ffff
73ff07:6004:8000::/36ff07:6004:8fff:ffff:ffff:ffff:ffff:ffff
74ff07:6004:9000::/36ff07:6004:9fff:ffff:ffff:ffff:ffff:ffff
75ff07:6004:a000::/36ff07:6004:afff:ffff:ffff:ffff:ffff:ffff
76ff07:6004:b000::/36ff07:6004:bfff:ffff:ffff:ffff:ffff:ffff
77ff07:6004:c000::/36ff07:6004:cfff:ffff:ffff:ffff:ffff:ffff
78ff07:6004:d000::/36ff07:6004:dfff:ffff:ffff:ffff:ffff:ffff
79ff07:6004:e000::/36ff07:6004:efff:ffff:ffff:ffff:ffff:ffff
80ff07:6004:f000::/36ff07:6004:ffff:ffff:ffff:ffff:ffff:ffff
81ff07:6005::/36ff07:6005:fff:ffff:ffff:ffff:ffff:ffff
82ff07:6005:1000::/36ff07:6005:1fff:ffff:ffff:ffff:ffff:ffff
83ff07:6005:2000::/36ff07:6005:2fff:ffff:ffff:ffff:ffff:ffff
84ff07:6005:3000::/36ff07:6005:3fff:ffff:ffff:ffff:ffff:ffff
85ff07:6005:4000::/36ff07:6005:4fff:ffff:ffff:ffff:ffff:ffff
86ff07:6005:5000::/36ff07:6005:5fff:ffff:ffff:ffff:ffff:ffff
87ff07:6005:6000::/36ff07:6005:6fff:ffff:ffff:ffff:ffff:ffff
88ff07:6005:7000::/36ff07:6005:7fff:ffff:ffff:ffff:ffff:ffff
89ff07:6005:8000::/36ff07:6005:8fff:ffff:ffff:ffff:ffff:ffff
90ff07:6005:9000::/36ff07:6005:9fff:ffff:ffff:ffff:ffff:ffff
91ff07:6005:a000::/36ff07:6005:afff:ffff:ffff:ffff:ffff:ffff
92ff07:6005:b000::/36ff07:6005:bfff:ffff:ffff:ffff:ffff:ffff
93ff07:6005:c000::/36ff07:6005:cfff:ffff:ffff:ffff:ffff:ffff
94ff07:6005:d000::/36ff07:6005:dfff:ffff:ffff:ffff:ffff:ffff
95ff07:6005:e000::/36ff07:6005:efff:ffff:ffff:ffff:ffff:ffff
96ff07:6005:f000::/36ff07:6005:ffff:ffff:ffff:ffff:ffff:ffff
97ff07:6006::/36ff07:6006:fff:ffff:ffff:ffff:ffff:ffff
98ff07:6006:1000::/36ff07:6006:1fff:ffff:ffff:ffff:ffff:ffff
99ff07:6006:2000::/36ff07:6006:2fff:ffff:ffff:ffff:ffff:ffff
100ff07:6006:3000::/36ff07:6006:3fff:ffff:ffff:ffff:ffff:ffff
101ff07:6006:4000::/36ff07:6006:4fff:ffff:ffff:ffff:ffff:ffff
102ff07:6006:5000::/36ff07:6006:5fff:ffff:ffff:ffff:ffff:ffff
103ff07:6006:6000::/36ff07:6006:6fff:ffff:ffff:ffff:ffff:ffff
104ff07:6006:7000::/36ff07:6006:7fff:ffff:ffff:ffff:ffff:ffff
105ff07:6006:8000::/36ff07:6006:8fff:ffff:ffff:ffff:ffff:ffff
106ff07:6006:9000::/36ff07:6006:9fff:ffff:ffff:ffff:ffff:ffff
107ff07:6006:a000::/36ff07:6006:afff:ffff:ffff:ffff:ffff:ffff
108ff07:6006:b000::/36ff07:6006:bfff:ffff:ffff:ffff:ffff:ffff
109ff07:6006:c000::/36ff07:6006:cfff:ffff:ffff:ffff:ffff:ffff
110ff07:6006:d000::/36ff07:6006:dfff:ffff:ffff:ffff:ffff:ffff
111ff07:6006:e000::/36ff07:6006:efff:ffff:ffff:ffff:ffff:ffff
112ff07:6006:f000::/36ff07:6006:ffff:ffff:ffff:ffff:ffff:ffff
113ff07:6007::/36ff07:6007:fff:ffff:ffff:ffff:ffff:ffff
114ff07:6007:1000::/36ff07:6007:1fff:ffff:ffff:ffff:ffff:ffff
115ff07:6007:2000::/36ff07:6007:2fff:ffff:ffff:ffff:ffff:ffff
116ff07:6007:3000::/36ff07:6007:3fff:ffff:ffff:ffff:ffff:ffff
117ff07:6007:4000::/36ff07:6007:4fff:ffff:ffff:ffff:ffff:ffff
118ff07:6007:5000::/36ff07:6007:5fff:ffff:ffff:ffff:ffff:ffff
119ff07:6007:6000::/36ff07:6007:6fff:ffff:ffff:ffff:ffff:ffff
120ff07:6007:7000::/36ff07:6007:7fff:ffff:ffff:ffff:ffff:ffff
121ff07:6007:8000::/36ff07:6007:8fff:ffff:ffff:ffff:ffff:ffff
122ff07:6007:9000::/36ff07:6007:9fff:ffff:ffff:ffff:ffff:ffff
123ff07:6007:a000::/36ff07:6007:afff:ffff:ffff:ffff:ffff:ffff
124ff07:6007:b000::/36ff07:6007:bfff:ffff:ffff:ffff:ffff:ffff
125ff07:6007:c000::/36ff07:6007:cfff:ffff:ffff:ffff:ffff:ffff
126ff07:6007:d000::/36ff07:6007:dfff:ffff:ffff:ffff:ffff:ffff
127ff07:6007:e000::/36ff07:6007:efff:ffff:ffff:ffff:ffff:ffff
128ff07:6007:f000::/36ff07:6007:ffff:ffff:ffff:ffff:ffff:ffff
129ff07:6008::/36ff07:6008:fff:ffff:ffff:ffff:ffff:ffff
130ff07:6008:1000::/36ff07:6008:1fff:ffff:ffff:ffff:ffff:ffff
131ff07:6008:2000::/36ff07:6008:2fff:ffff:ffff:ffff:ffff:ffff
132ff07:6008:3000::/36ff07:6008:3fff:ffff:ffff:ffff:ffff:ffff
133ff07:6008:4000::/36ff07:6008:4fff:ffff:ffff:ffff:ffff:ffff
134ff07:6008:5000::/36ff07:6008:5fff:ffff:ffff:ffff:ffff:ffff
135ff07:6008:6000::/36ff07:6008:6fff:ffff:ffff:ffff:ffff:ffff
136ff07:6008:7000::/36ff07:6008:7fff:ffff:ffff:ffff:ffff:ffff
137ff07:6008:8000::/36ff07:6008:8fff:ffff:ffff:ffff:ffff:ffff
138ff07:6008:9000::/36ff07:6008:9fff:ffff:ffff:ffff:ffff:ffff
139ff07:6008:a000::/36ff07:6008:afff:ffff:ffff:ffff:ffff:ffff
140ff07:6008:b000::/36ff07:6008:bfff:ffff:ffff:ffff:ffff:ffff
141ff07:6008:c000::/36ff07:6008:cfff:ffff:ffff:ffff:ffff:ffff
142ff07:6008:d000::/36ff07:6008:dfff:ffff:ffff:ffff:ffff:ffff
143ff07:6008:e000::/36ff07:6008:efff:ffff:ffff:ffff:ffff:ffff
144ff07:6008:f000::/36ff07:6008:ffff:ffff:ffff:ffff:ffff:ffff
145ff07:6009::/36ff07:6009:fff:ffff:ffff:ffff:ffff:ffff
146ff07:6009:1000::/36ff07:6009:1fff:ffff:ffff:ffff:ffff:ffff
147ff07:6009:2000::/36ff07:6009:2fff:ffff:ffff:ffff:ffff:ffff
148ff07:6009:3000::/36ff07:6009:3fff:ffff:ffff:ffff:ffff:ffff
149ff07:6009:4000::/36ff07:6009:4fff:ffff:ffff:ffff:ffff:ffff
150ff07:6009:5000::/36ff07:6009:5fff:ffff:ffff:ffff:ffff:ffff
151ff07:6009:6000::/36ff07:6009:6fff:ffff:ffff:ffff:ffff:ffff
152ff07:6009:7000::/36ff07:6009:7fff:ffff:ffff:ffff:ffff:ffff
153ff07:6009:8000::/36ff07:6009:8fff:ffff:ffff:ffff:ffff:ffff
154ff07:6009:9000::/36ff07:6009:9fff:ffff:ffff:ffff:ffff:ffff
155ff07:6009:a000::/36ff07:6009:afff:ffff:ffff:ffff:ffff:ffff
156ff07:6009:b000::/36ff07:6009:bfff:ffff:ffff:ffff:ffff:ffff
157ff07:6009:c000::/36ff07:6009:cfff:ffff:ffff:ffff:ffff:ffff
158ff07:6009:d000::/36ff07:6009:dfff:ffff:ffff:ffff:ffff:ffff
159ff07:6009:e000::/36ff07:6009:efff:ffff:ffff:ffff:ffff:ffff
160ff07:6009:f000::/36ff07:6009:ffff:ffff:ffff:ffff:ffff:ffff
161ff07:600a::/36ff07:600a:fff:ffff:ffff:ffff:ffff:ffff
162ff07:600a:1000::/36ff07:600a:1fff:ffff:ffff:ffff:ffff:ffff
163ff07:600a:2000::/36ff07:600a:2fff:ffff:ffff:ffff:ffff:ffff
164ff07:600a:3000::/36ff07:600a:3fff:ffff:ffff:ffff:ffff:ffff
165ff07:600a:4000::/36ff07:600a:4fff:ffff:ffff:ffff:ffff:ffff
166ff07:600a:5000::/36ff07:600a:5fff:ffff:ffff:ffff:ffff:ffff
167ff07:600a:6000::/36ff07:600a:6fff:ffff:ffff:ffff:ffff:ffff
168ff07:600a:7000::/36ff07:600a:7fff:ffff:ffff:ffff:ffff:ffff
169ff07:600a:8000::/36ff07:600a:8fff:ffff:ffff:ffff:ffff:ffff
170ff07:600a:9000::/36ff07:600a:9fff:ffff:ffff:ffff:ffff:ffff
171ff07:600a:a000::/36ff07:600a:afff:ffff:ffff:ffff:ffff:ffff
172ff07:600a:b000::/36ff07:600a:bfff:ffff:ffff:ffff:ffff:ffff
173ff07:600a:c000::/36ff07:600a:cfff:ffff:ffff:ffff:ffff:ffff
174ff07:600a:d000::/36ff07:600a:dfff:ffff:ffff:ffff:ffff:ffff
175ff07:600a:e000::/36ff07:600a:efff:ffff:ffff:ffff:ffff:ffff
176ff07:600a:f000::/36ff07:600a:ffff:ffff:ffff:ffff:ffff:ffff
177ff07:600b::/36ff07:600b:fff:ffff:ffff:ffff:ffff:ffff
178ff07:600b:1000::/36ff07:600b:1fff:ffff:ffff:ffff:ffff:ffff
179ff07:600b:2000::/36ff07:600b:2fff:ffff:ffff:ffff:ffff:ffff
180ff07:600b:3000::/36ff07:600b:3fff:ffff:ffff:ffff:ffff:ffff
181ff07:600b:4000::/36ff07:600b:4fff:ffff:ffff:ffff:ffff:ffff
182ff07:600b:5000::/36ff07:600b:5fff:ffff:ffff:ffff:ffff:ffff
183ff07:600b:6000::/36ff07:600b:6fff:ffff:ffff:ffff:ffff:ffff
184ff07:600b:7000::/36ff07:600b:7fff:ffff:ffff:ffff:ffff:ffff
185ff07:600b:8000::/36ff07:600b:8fff:ffff:ffff:ffff:ffff:ffff
186ff07:600b:9000::/36ff07:600b:9fff:ffff:ffff:ffff:ffff:ffff
187ff07:600b:a000::/36ff07:600b:afff:ffff:ffff:ffff:ffff:ffff
188ff07:600b:b000::/36ff07:600b:bfff:ffff:ffff:ffff:ffff:ffff
189ff07:600b:c000::/36ff07:600b:cfff:ffff:ffff:ffff:ffff:ffff
190ff07:600b:d000::/36ff07:600b:dfff:ffff:ffff:ffff:ffff:ffff
191ff07:600b:e000::/36ff07:600b:efff:ffff:ffff:ffff:ffff:ffff
192ff07:600b:f000::/36ff07:600b:ffff:ffff:ffff:ffff:ffff:ffff
193ff07:600c::/36ff07:600c:fff:ffff:ffff:ffff:ffff:ffff
194ff07:600c:1000::/36ff07:600c:1fff:ffff:ffff:ffff:ffff:ffff
195ff07:600c:2000::/36ff07:600c:2fff:ffff:ffff:ffff:ffff:ffff
196ff07:600c:3000::/36ff07:600c:3fff:ffff:ffff:ffff:ffff:ffff
197ff07:600c:4000::/36ff07:600c:4fff:ffff:ffff:ffff:ffff:ffff
198ff07:600c:5000::/36ff07:600c:5fff:ffff:ffff:ffff:ffff:ffff
199ff07:600c:6000::/36ff07:600c:6fff:ffff:ffff:ffff:ffff:ffff
200ff07:600c:7000::/36ff07:600c:7fff:ffff:ffff:ffff:ffff:ffff
201ff07:600c:8000::/36ff07:600c:8fff:ffff:ffff:ffff:ffff:ffff
202ff07:600c:9000::/36ff07:600c:9fff:ffff:ffff:ffff:ffff:ffff
203ff07:600c:a000::/36ff07:600c:afff:ffff:ffff:ffff:ffff:ffff
204ff07:600c:b000::/36ff07:600c:bfff:ffff:ffff:ffff:ffff:ffff
205ff07:600c:c000::/36ff07:600c:cfff:ffff:ffff:ffff:ffff:ffff
206ff07:600c:d000::/36ff07:600c:dfff:ffff:ffff:ffff:ffff:ffff
207ff07:600c:e000::/36ff07:600c:efff:ffff:ffff:ffff:ffff:ffff
208ff07:600c:f000::/36ff07:600c:ffff:ffff:ffff:ffff:ffff:ffff
209ff07:600d::/36ff07:600d:fff:ffff:ffff:ffff:ffff:ffff
210ff07:600d:1000::/36ff07:600d:1fff:ffff:ffff:ffff:ffff:ffff
211ff07:600d:2000::/36ff07:600d:2fff:ffff:ffff:ffff:ffff:ffff
212ff07:600d:3000::/36ff07:600d:3fff:ffff:ffff:ffff:ffff:ffff
213ff07:600d:4000::/36ff07:600d:4fff:ffff:ffff:ffff:ffff:ffff
214ff07:600d:5000::/36ff07:600d:5fff:ffff:ffff:ffff:ffff:ffff
215ff07:600d:6000::/36ff07:600d:6fff:ffff:ffff:ffff:ffff:ffff
216ff07:600d:7000::/36ff07:600d:7fff:ffff:ffff:ffff:ffff:ffff
217ff07:600d:8000::/36ff07:600d:8fff:ffff:ffff:ffff:ffff:ffff
218ff07:600d:9000::/36ff07:600d:9fff:ffff:ffff:ffff:ffff:ffff
219ff07:600d:a000::/36ff07:600d:afff:ffff:ffff:ffff:ffff:ffff
220ff07:600d:b000::/36ff07:600d:bfff:ffff:ffff:ffff:ffff:ffff
221ff07:600d:c000::/36ff07:600d:cfff:ffff:ffff:ffff:ffff:ffff
222ff07:600d:d000::/36ff07:600d:dfff:ffff:ffff:ffff:ffff:ffff
223ff07:600d:e000::/36ff07:600d:efff:ffff:ffff:ffff:ffff:ffff
224ff07:600d:f000::/36ff07:600d:ffff:ffff:ffff:ffff:ffff:ffff
225ff07:600e::/36ff07:600e:fff:ffff:ffff:ffff:ffff:ffff
226ff07:600e:1000::/36ff07:600e:1fff:ffff:ffff:ffff:ffff:ffff
227ff07:600e:2000::/36ff07:600e:2fff:ffff:ffff:ffff:ffff:ffff
228ff07:600e:3000::/36ff07:600e:3fff:ffff:ffff:ffff:ffff:ffff
229ff07:600e:4000::/36ff07:600e:4fff:ffff:ffff:ffff:ffff:ffff
230ff07:600e:5000::/36ff07:600e:5fff:ffff:ffff:ffff:ffff:ffff
231ff07:600e:6000::/36ff07:600e:6fff:ffff:ffff:ffff:ffff:ffff
232ff07:600e:7000::/36ff07:600e:7fff:ffff:ffff:ffff:ffff:ffff
233ff07:600e:8000::/36ff07:600e:8fff:ffff:ffff:ffff:ffff:ffff
234ff07:600e:9000::/36ff07:600e:9fff:ffff:ffff:ffff:ffff:ffff
235ff07:600e:a000::/36ff07:600e:afff:ffff:ffff:ffff:ffff:ffff
236ff07:600e:b000::/36ff07:600e:bfff:ffff:ffff:ffff:ffff:ffff
237ff07:600e:c000::/36ff07:600e:cfff:ffff:ffff:ffff:ffff:ffff
238ff07:600e:d000::/36ff07:600e:dfff:ffff:ffff:ffff:ffff:ffff
239ff07:600e:e000::/36ff07:600e:efff:ffff:ffff:ffff:ffff:ffff
240ff07:600e:f000::/36ff07:600e:ffff:ffff:ffff:ffff:ffff:ffff
241ff07:600f::/36ff07:600f:fff:ffff:ffff:ffff:ffff:ffff
242ff07:600f:1000::/36ff07:600f:1fff:ffff:ffff:ffff:ffff:ffff
243ff07:600f:2000::/36ff07:600f:2fff:ffff:ffff:ffff:ffff:ffff
244ff07:600f:3000::/36ff07:600f:3fff:ffff:ffff:ffff:ffff:ffff
245ff07:600f:4000::/36ff07:600f:4fff:ffff:ffff:ffff:ffff:ffff
246ff07:600f:5000::/36ff07:600f:5fff:ffff:ffff:ffff:ffff:ffff
247ff07:600f:6000::/36ff07:600f:6fff:ffff:ffff:ffff:ffff:ffff
248ff07:600f:7000::/36ff07:600f:7fff:ffff:ffff:ffff:ffff:ffff
249ff07:600f:8000::/36ff07:600f:8fff:ffff:ffff:ffff:ffff:ffff
250ff07:600f:9000::/36ff07:600f:9fff:ffff:ffff:ffff:ffff:ffff
251ff07:600f:a000::/36ff07:600f:afff:ffff:ffff:ffff:ffff:ffff
252ff07:600f:b000::/36ff07:600f:bfff:ffff:ffff:ffff:ffff:ffff
253ff07:600f:c000::/36ff07:600f:cfff:ffff:ffff:ffff:ffff:ffff
254ff07:600f:d000::/36ff07:600f:dfff:ffff:ffff:ffff:ffff:ffff
255ff07:600f:e000::/36ff07:600f:efff:ffff:ffff:ffff:ffff:ffff
256ff07:600f:f000::/36ff07:600f:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses